<?php

namespace app\tools\controller;

use app\model\BalanceLog;
use app\model\User;
use support\exception\BusinessException;
use support\Request;
use support\Response;

class IndexController extends Base
{

    /**
     * 后台主页
     * @param Request $request
     * @return Response
     * @throws BusinessException|\Exception
     */
    public function index(Request $request)
    {
        $list = (new BalanceLog)->setSuffix('_currency1')
            ->where('user_id',intval(127923))
            ->where('status','<>',2)
            ->order('created_at','asc')
            ->select();
        return $this->pre($list);
    }
    
    public function test(Request $request)
    {
        $list = (new BalanceLog)->setSuffix('_money')
            ->where('momo',276)
            ->select();
        return $this->pre($list);
    }
    
}
